Package org.eclipse.jdt.launching

# Class JavaLaunchDelegate

java.lang.Object
org.eclipse.debug.core.model.LaunchConfigurationDelegate
org.eclipse.jdt.launching.AbstractJavaLaunchConfigurationDelegate
org.eclipse.jdt.launching.JavaLaunchDelegate

All Implemented Interfaces:
  `IDebugEventSetListener`, `ILaunchConfigurationDelegate`, `ILaunchConfigurationDelegate2`

Direct Known Subclasses:
  `AdvancedJavaLaunchDelegate`

public class JavaLaunchDelegate extends AbstractJavaLaunchConfigurationDelegate
A launch delegate for launching local Java applications.

Clients may subclass and instantiate this class.

Since:
  3.1
See Also:
  - `AdvancedJavaLaunchDelegate`

## Field Summary

### Fields inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate

`complileErrorProjectPromptStatus, complileErrorPromptStatus, promptStatus, saveScopedDirtyEditors, switchToDebugPromptStatus`

## Constructor Summary

Constructors
Constructor
Description
`JavaLaunchDelegate()`

## Method Summary

Modifier and Type
Method
Description
`void`
`launch(ILaunchConfiguration configuration, String mode, ILaunch launch, IProgressMonitor monitor)`
`String`
`showCommandLine(ILaunchConfiguration configuration, String mode, ILaunch launch, IProgressMonitor monitor)`

### Methods inherited from class org.eclipse.jdt.launching.AbstractJavaLaunchConfigurationDelegate

`abort, allowAdvancedSourcelookup, getBootpath, getBootpathExt, getBreakpoints, getBuildOrder, getClasspath, getClasspathAndModulepath, getDefaultWorkingDirectory, getEnvironment, getJavaLibraryPath, getJavaProject, getJavaProjectName, getLaunch, getLaunchManager, getMainTypeName, getModuleCLIOptions, getProgramArguments, getProjectsForProblemSearch, getVMArguments, getVMArguments, getVMConnectorId, getVMInstall, getVMInstallName, getVMInstallType, getVMInstallTypeId, getVMRunner, getVMSpecificAttributesMap, getWorkingDirectory, getWorkingDirectoryPath, handleDebugEvents, isAllowTerminate, isLaunchProblem, isStopInMain, preLaunchCheck, prepareStopInMain, setDefaultSourceLocator, supportsModule, supportsPreviewFeatures, verifyJavaProject, verifyMainTypeName, verifyVMInstall, verifyWorkingDirectory`

### Methods inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate

`addReferencedProjects, buildForLaunch, buildProjects, computeBuildOrder, computeReferencedBuildOrder, existsProblems, finalLaunchCheck, saveBeforeLaunch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JavaLaunchDelegate

public JavaLaunchDelegate()

## Method Details

### showCommandLine

public String showCommandLine(ILaunchConfiguration configuration, String mode, ILaunch launch, IProgressMonitor monitor) throws CoreException

Throws:
  `CoreException`

### launch

public void launch(ILaunchConfiguration configuration, String mode, ILaunch launch, IProgressMonitor monitor) throws CoreException

Throws:
  `CoreException`